Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  trait AccessorSynthesis extends SubComponent with Transform with TreeDSL
  Definition Classes
    transform
- AccessorTreeSynthesis
- BitmapInfo
- CODE
- CheckedAccessorSymbolSynth
- CheckedAccessorTreeSynthesis
- Phase
- StdPhase

c

scala.tools.nsc.transform.AccessorSynthesis

# CheckedAccessorSymbolSynth

###

#### class CheckedAccessorSymbolSynth extends AnyRef

Source
  AccessorSynthesis.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
SynthCheckedAccessorsTreesInClass, SynthInitCheckedAccessorsIn, SynthLazyAccessorsIn
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CheckedAccessorSymbolSynth
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new CheckedAccessorSymbolSynth(clazz: Global.Symbol)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from CheckedAccessorSymbolSynth toany2stringadd[CheckedAccessorSymbolSynth] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (CheckedAccessorSymbolSynth, B)
   Implicit
     This member is added by an implicit conversion from CheckedAccessorSymbolSynth toArrowAssoc[CheckedAccessorSymbolSynth] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def bitmapOf(field: Global.Symbol): Option[BitmapInfo]
   Attributes
     protected
8.  val clazz: Global.Symbol
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  def computeBitmapInfos(fields: List[Global.Symbol]): List[Global.Symbol]

    Fill the map from fields to bitmap infos.

    Fill the map from fields to bitmap infos. This is called for all fields in each transformed class (by the fields info transformer), after the fields inherited from traits have been added.

    bitmaps for checkinit fields are not inherited

11.  def ensuring(cond: (CheckedAccessorSymbolSynth) => Boolean, msg: => Any): CheckedAccessorSymbolSynth
    Implicit
      This member is added by an implicit conversion from CheckedAccessorSymbolSynth toEnsuring[CheckedAccessorSymbolSynth] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (CheckedAccessorSymbolSynth) => Boolean): CheckedAccessorSymbolSynth
    Implicit
      This member is added by an implicit conversion from CheckedAccessorSymbolSynth toEnsuring[CheckedAccessorSymbolSynth] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: => Any): CheckedAccessorSymbolSynth
    Implicit
      This member is added by an implicit conversion from CheckedAccessorSymbolSynth toEnsuring[CheckedAccessorSymbolSynth] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): CheckedAccessorSymbolSynth
    Implicit
      This member is added by an implicit conversion from CheckedAccessorSymbolSynth toEnsuring[CheckedAccessorSymbolSynth] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
18.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from CheckedAccessorSymbolSynth toStringFormat[CheckedAccessorSymbolSynth] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
19.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  def newSlowPathSymbol(lzyVal: Global.Symbol): Global.Symbol
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  def slowPathFor(lzyVal: Global.Symbol): Global.Symbol
27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (CheckedAccessorSymbolSynth, B)
   Implicit
     This member is added by an implicit conversion from CheckedAccessorSymbolSynth toArrowAssoc[CheckedAccessorSymbolSynth] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromCheckedAccessorSymbolSynth to any2stringadd[CheckedAccessorSymbolSynth]

### Inherited by implicit conversion StringFormat fromCheckedAccessorSymbolSynth to StringFormat[CheckedAccessorSymbolSynth]

### Inherited by implicit conversion Ensuring fromCheckedAccessorSymbolSynth to Ensuring[CheckedAccessorSymbolSynth]

### Inherited by implicit conversion ArrowAssoc fromCheckedAccessorSymbolSynth to ArrowAssoc[CheckedAccessorSymbolSynth]

### Ungrouped